ALAS-2015-511


Amazon Linux AMI Security Advisory: ALAS-2015-511
Advisory Release Date: 2015-06-15 14:29 Pacific
Severity: Low

Issue Overview:

A use-after-free flaw was found in PHP's OPcache extension. This flaw could possibly lead to a disclosure of portion of server memory. (CVE-2015-1351 )

A NULL pointer dereference flaw was found in PHP's pgsql extension. A specially crafted table name passed to function as pg_insert() or pg_select() could cause a PHP application to crash. (CVE-2015-1352 )

A buffer overflow flaw was found in the way PHP's Phar extension parsed Phar archives. A specially crafted archive could cause PHP to crash or, possibly, execute arbitrary code when opened. (CVE-2015-3329 )


Affected Packages:

php56


Issue Correction:
Run yum update php56 to update your system.

New Packages:
i686:
    php56-recode-5.6.8-1.111.amzn1.i686
    php56-process-5.6.8-1.111.amzn1.i686
    php56-opcache-5.6.8-1.111.amzn1.i686
    php56-odbc-5.6.8-1.111.amzn1.i686
    php56-common-5.6.8-1.111.amzn1.i686
    php56-xmlrpc-5.6.8-1.111.amzn1.i686
    php56-enchant-5.6.8-1.111.amzn1.i686
    php56-intl-5.6.8-1.111.amzn1.i686
    php56-bcmath-5.6.8-1.111.amzn1.i686
    php56-mysqlnd-5.6.8-1.111.amzn1.i686
    php56-ldap-5.6.8-1.111.amzn1.i686
    php56-fpm-5.6.8-1.111.amzn1.i686
    php56-cli-5.6.8-1.111.amzn1.i686
    php56-devel-5.6.8-1.111.amzn1.i686
    php56-soap-5.6.8-1.111.amzn1.i686
    php56-gmp-5.6.8-1.111.amzn1.i686
    php56-debuginfo-5.6.8-1.111.amzn1.i686
    php56-tidy-5.6.8-1.111.amzn1.i686
    php56-mssql-5.6.8-1.111.amzn1.i686
    php56-imap-5.6.8-1.111.amzn1.i686
    php56-mcrypt-5.6.8-1.111.amzn1.i686
    php56-pdo-5.6.8-1.111.amzn1.i686
    php56-5.6.8-1.111.amzn1.i686
    php56-dba-5.6.8-1.111.amzn1.i686
    php56-snmp-5.6.8-1.111.amzn1.i686
    php56-dbg-5.6.8-1.111.amzn1.i686
    php56-mbstring-5.6.8-1.111.amzn1.i686
    php56-pgsql-5.6.8-1.111.amzn1.i686
    php56-xml-5.6.8-1.111.amzn1.i686
    php56-gd-5.6.8-1.111.amzn1.i686
    php56-embedded-5.6.8-1.111.amzn1.i686
    php56-pspell-5.6.8-1.111.amzn1.i686

src:
    php56-5.6.8-1.111.amzn1.src

x86_64:
    php56-mbstring-5.6.8-1.111.amzn1.x86_64
    php56-debuginfo-5.6.8-1.111.amzn1.x86_64
    php56-ldap-5.6.8-1.111.amzn1.x86_64
    php56-bcmath-5.6.8-1.111.amzn1.x86_64
    php56-pdo-5.6.8-1.111.amzn1.x86_64
    php56-snmp-5.6.8-1.111.amzn1.x86_64
    php56-mssql-5.6.8-1.111.amzn1.x86_64
    php56-tidy-5.6.8-1.111.amzn1.x86_64
    php56-pgsql-5.6.8-1.111.amzn1.x86_64
    php56-mysqlnd-5.6.8-1.111.amzn1.x86_64
    php56-cli-5.6.8-1.111.amzn1.x86_64
    php56-mcrypt-5.6.8-1.111.amzn1.x86_64
    php56-dbg-5.6.8-1.111.amzn1.x86_64
    php56-xml-5.6.8-1.111.amzn1.x86_64
    php56-process-5.6.8-1.111.amzn1.x86_64
    php56-intl-5.6.8-1.111.amzn1.x86_64
    php56-odbc-5.6.8-1.111.amzn1.x86_64
    php56-enchant-5.6.8-1.111.amzn1.x86_64
    php56-gmp-5.6.8-1.111.amzn1.x86_64
    php56-xmlrpc-5.6.8-1.111.amzn1.x86_64
    php56-embedded-5.6.8-1.111.amzn1.x86_64
    php56-dba-5.6.8-1.111.amzn1.x86_64
    php56-gd-5.6.8-1.111.amzn1.x86_64
    php56-imap-5.6.8-1.111.amzn1.x86_64
    php56-devel-5.6.8-1.111.amzn1.x86_64
    php56-recode-5.6.8-1.111.amzn1.x86_64
    php56-opcache-5.6.8-1.111.amzn1.x86_64
    php56-soap-5.6.8-1.111.amzn1.x86_64
    php56-common-5.6.8-1.111.amzn1.x86_64
    php56-fpm-5.6.8-1.111.amzn1.x86_64
    php56-pspell-5.6.8-1.111.amzn1.x86_64
    php56-5.6.8-1.111.amzn1.x86_64